/* RC Light Bucket for my Ford Bronco. Should be mounted on the bonnet.

*/

//$fn=23;
$fn=50;
gMS=1.2;
gPostHeight=12-4+2;


/* Lens. Kinda. */
if (0)
translate([0, 20, 6-2])
{
	hull()
	{
		rotate([90, 0, 0])
		cylinder(d=17-0.4, h=gMS/4);

		translate([0, 0.2, 0])
		rotate([90, 0, 0])
		cylinder(d=0.1, h=gMS/8);
	}

}


/* Whole Bucket */
if (1)
difference()
{
	union()
	{
		
		/* Post */
		translate([0, 0, -gPostHeight])
		difference()
		{
			union()
			{	/* Big Post */
				translate([0, 0, +2]) cylinder(d=7, h=8.4);
				cylinder(d=4.5, h=gPostHeight);
				sphere(d=4.5);

				/* Small Post */
				translate([0, -6, -1])
				{
					cylinder(d=4.5, h=4);
					sphere(d=4.5);
				}
			}
			
			rotate([0, 90, 0])
			cylinder(d=1.2, h=23, center=true);
		}

		/* Plate */
		translate([0, -7, -gPostHeight+2])
		hull()
		{
			cylinder(d=5, h=gMS);
			translate([0, 10, 0])
			cylinder(d=7.5, h=gMS);
		}

		/* Bucket */
		translate([0, -4, 6-2])
		difference()
		{
				hull()
				{
					sphere(d=10+5);
					
					translate([0, 10-2, 0])
					rotate([90, 0, 0])
					cylinder(d=19, h=gMS, center=true);
				}

				
				/* room for the LED */
				translate([0, -0, 0])
				rotate([90, 0, 0])
				cylinder(d=5, h=15, center=true);
					translate([0, -4-4, 0])
					rotate([90, 0, 0])
					cylinder(d=6, h=2+5, center=true);
			
				
		}
	}

	/* Reflector */
	translate([0, 10-6, 6-2])
	sphere(d=17);
		translate([0, +6.7-2, 6-2])
		rotate([90, 0, 0])
		cylinder(d=17, h=gMS/4*2);
}





// EOF